> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List rates

> List rates

### Query parameters

<ParamField query="base_currency" type="string" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="ExchangeRateListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/currencies/rates' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "rates": [
      {
        "base_currency": "string",
        "quote_currency": "string",
        "rate": "string",
        "updated_at": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
